package com.jpsoft.shinestar.modules.business.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.CanteenRecordAttendance;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenRecordAttendanceDAO {
	int insert(CanteenRecordAttendance entity);
	int update(CanteenRecordAttendance entity);
	int exist(String id);
	CanteenRecordAttendance get(String id);
	int delete(String id);
	List<CanteenRecordAttendance> list();
	CanteenRecordAttendance findByPersonIdAndRecordTime(@Param("personId")long personId, @Param("startTime")Date startTime, @Param("endTime")Date endTime);
	List<CanteenRecordAttendance> search(Map<String, Object> searchParams, List<Sort> sortList);
}